commit 5fe8210de0a6262e39032b9d2bdabf8b66c85324
Author: freddy77 <freddy77>
Date:   Fri Sep 4 07:12:18 2009 +0000

    Fix --with-tdsver option

diff --git a/ChangeLog b/ChangeLog
index 3790de5..6090ed0 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,6 @@
+Fri Sep  4 09:11:38 CEST 2009    Frediano Ziglio <freddy77_A_gmail_D_com>
+	* configure.ac vms/README.vms: Fix --with-tdsver option
+
 Thu Sep  3 13:53:26 CEST 2009    Frediano Ziglio <freddy77_A_gmail_D_com>
 	* TODO src/tds/token.c:
 	- fix NULL becaming empty strings under Sybase
@@ -1840,4 +1843,4 @@ Wed Jan  9 19:54:43 EST 2008	JK Lowden <jklowden@freetds.org>
 	* ChangeLog-0.82 added because of release
 	
 $FreeTDS$
-$Id: ChangeLog,v 1.2869 2009/09/03 11:53:46 freddy77 Exp $
+$Id: ChangeLog,v 1.2870 2009/09/04 07:12:18 freddy77 Exp $
diff --git a/configure.ac b/configure.ac
index 28bc9d7..b65de2f 100644
--- a/configure.ac
+++ b/configure.ac
@@ -1,7 +1,7 @@
 dnl Process this file with autoconf to produce a configure script.
 
 dnl ------------------------------------------------------------
-dnl $Id: configure.ac,v 1.41 2009/08/14 13:53:17 freddy77 Exp $
+dnl $Id: configure.ac,v 1.42 2009/09/04 07:12:18 freddy77 Exp $
 dnl If you're trying to create a new configure test, try
 dnl
 dnl 	http://autogen.sourceforge.net/conftest.html
@@ -15,7 +15,7 @@ dnl ------------------------------------------------------------
 AC_INIT(FreeTDS, 0.83.dev.esyscmd(echo -n $(date +"%Y%m%d")))
 AC_CONFIG_SRCDIR(src/dblib/dblib.c)
 AC_PREREQ(2.53)
-AC_REVISION($Revision: 1.41 $)
+AC_REVISION($Revision: 1.42 $)
 
 AM_INIT_AUTOMAKE
 AC_CONFIG_HEADERS(include/config.h)
@@ -460,15 +460,15 @@ AC_HAVE_MALLOC_OPTIONS
 AC_MSG_RESULT(checking compile-time options)
 
 AC_ARG_WITH(tdsver,
-AS_HELP_STRING([--with-tdsver=VERSION], [TDS protocol version (4.2/4.6/5.0/7.0/8.0) [5.0]]))
+AS_HELP_STRING([--with-tdsver=VERSION], [TDS protocol version (4.2/4.6/5.0/7.0/7.1) [5.0]]))
 if test "$with_tdsver" = "4.2"; then
 	AC_DEFINE(TDS42, 1, [Define to use TDS 4.2 by default])
 elif test "$with_tdsver" = "4.6"; then
 	AC_DEFINE(TDS46, 1, [Define to use TDS 4.6 by default])
 elif test "$with_tdsver" = "7.0"; then
 	AC_DEFINE(TDS70, 1, [Define to use TDS 7.0 by default])
-elif test "$with_tdsver" = "8.0"; then
-	AC_DEFINE(TDS80, 1, [Define to use TDS 8.0 by default])
+elif test "$with_tdsver" = "7.1"; then
+	AC_DEFINE(TDS71, 1, [Define to use TDS 7.1 by default])
 else
 	AC_DEFINE(TDS50, 1, [Define to use TDS 5.0 by default])
 fi
diff --git a/vms/README.vms b/vms/README.vms
index ef1ec5e..3345fba 100644
--- a/vms/README.vms
+++ b/vms/README.vms
@@ -39,13 +39,13 @@ by sypplying the following macros to the make utility:
 TDSVER
 
 This macro expects a value that will be passed directly to the C compiler. 
-Valid values are TDS42, TDS50 (the default), TDS70, and TDS80.  Consult the
+Valid values are TDS42, TDS50 (the default), TDS70, and TDS71.  Consult the
 [.doc] directory for more information about the TDS protocol, what servers
 use which versions, and the history of the versions.
 
 Example:
 
-    $ MMK/MACRO="TDSVER"="TDS80"
+    $ MMK/MACRO="TDSVER"="TDS71"
 
 
 MSDBLIB
@@ -111,4 +111,4 @@ now you'll have to roll your own.
 
 
 Last updated: 	6-NOV-2004	Craig A. Berry	<craigberry@mac.com>
-$Id: README.vms,v 1.3 2004/11/07 08:59:34 freddy77 Exp $
+$Id: README.vms,v 1.4 2009/09/04 07:12:18 freddy77 Exp $

